### Method

# Vte Terminal set_scroll_on_keystroke

since: 0.52

#### Declaration [src]

    void
    vte_terminal_set_scroll_on_keystroke (
      VteTerminal* terminal,
      gboolean scroll
    )

#### Description [src]

Controls whether or not the terminal will forcibly scroll to the bottom of the viewable history when the user presses a key. Modifier keys do not trigger this behavior.

Available since: 0.52

Sets property | `Vte.Terminal:scroll-on-keystroke`

#### Parameters

`scroll`

  Type: `gboolean`

  Whether the terminal should scroll on keystrokes.